# Script de conversion d'un fichier txt en fichier dtb pour Win-Test
#
# (C) F6FVY - Mai 2004
#
# Usage : (g)awk -f txt2dtb.awk fichier_in.txt > fichier_out.dtb
#
# Les enregistrements du fichier txt doivent tre de la forme :
#
# Indicatif Espace(s) Zone
#
{
  if ($0) {
    if ($0 ~ /^#/) {}
    else {
      $1 = substr((toupper($1) "\0\0\0\0\0\0\0\0\0\0\0\0\0\0"),1,14)
      $2 = substr((toupper($2) "\0\0\0\0\0\0\0\0\0\0\0\0"),1,12)
      printf("%14s%12s",$1,$2)
    }
  }
}